#ifndef LIBSW_IGMP__H
#define LIBSW_IGMP__H

#define IGMP_MIN_ROBUSTNESS (1)
#define IGMP_DEF_ROBUSTNESS (2)
#define IGMP_MAX_ROBUSTNESS (255)

#define IGMP_MIN_VERSION (1)
#define IGMP_DEF_VERSION (2)
#define IGMP_MAX_VERSION (3)

#define IGMP_MIN_TABLESIZE (1)
#define IGMP_DEF_TABLESIZE (1000)
#define IGMP_MAX_TABLESIZE (10000)

#define IGMP_MIN_GROUPSIZE (1)
#define IGMP_DEF_GROUPSIZE (1000)
#define IGMP_MAX_GROUPSIZE (10000)

#define IGMP_DEF_QUERY_INTERVAL (125)
#define IGMP_DEF_RESPONSE_INTERVAL (100)

#endif //LIBSW_IGMP__H
